Subject: Re: bug#35585: GRUB does not work with USB keyboards when using keyboard-layout

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 8 May 2019 14:23:46 +0200

On Wed, May 08, 2019 at 12:03:21PM +0200, Ludovic Courtès wrote:
> Florian, can you check whether removing the line fixes the issue for
> you?
> 

Yes, it fixes having no keyboard input at all on my Macbook (the
layout is not applied though).

On Wed, May 08, 2019 at 12:09:45AM +0200, pelzflorian (Florian Pelz) wrote:
> On Tue, May 07, 2019 at 06:39:14PM +0200, Danny Milosavljevic wrote:
> > Why is it specified at all?  If it's not specified, it will default to
> > the "platform native" inputs which means the ones available in the source code
> > for that platform.  So aren't we complicating our life for no reason by
> > specifying it in the first place?
> 
> On my Macbook, omitting the terminal_input line works fine; I can use
> the keyboard.  The layout for passphrase and boot menu remains US
> English though, as it always was for the passphrase and as it was with
> terminal_input usb_keyboard.  But this is much better than no
> keyboard in the boot menu at all (and I prefer US English anyway).
> 
> Thank you for sharing your expertise Danny!
> 
> Regards,
> Florian
> 
> 
> 

Regards,
Florian